PCI_FIND_PARENT_(9)

NAME
pci_find_parent_resource - return resource region of parent bus of given region

SYNOPSIS

struct resource * pci_find_parent_resource (const struct pci_dev * dev, struct resource * res);

ARGUMENTS

dev PCI device structure contains resources to be searched

res child resource record for which parent is sought

DESCRIPTION

For given resource region of given device, return the resource region of parent bus the given region is contained in or where it should be allocated from.